#include <iostream>
#include <string>
using namespace std;

int main()
{
    string a,b;
    cin>>a;
    cin>>b;
    int n1=a.size();
    int n2=b.size();
    int d=0;
    bool slucaj2=true;
    int i=0;
    while (i<n1 && slucaj2==true){
        if (a[i]!="a"){slucaj2=false}
    }
    if (b=="a"){
        for (int i=0;i<n1;i++){
            string x(a, i, 1);
            if (x==b){
                string p=(a, 0, i), r(a,i+1,n1-i);
                a = p + "*" + r;
                d++;
            }
        }
    }
    else if (b=="ab"){
        bool l1=false;
        string a1(a);
        int d1=0;
        for (int i=0; i<n1; i++){
            string x(a1,i,1);
            if (l1==false && x=="a"){l1=true;}
            else if (x=="b" && l==true){
                d1++;
                string p(a1,0,i), r(a,i+1,n1-i);
                a1=p + "*" + r;
            }
        }
        string a2(a);
        int d2=0;
        bool l2=false;
        for (int i=n1-1; i>=0; i--){
            string x(a2,i,1);
            if (l==false && x=="b"){l=true;}
            else if (x=="a" && l=true){
                d2++;
                string p(a2,0,i), r(a2,i+1,n-1-i);
                a2=p + "*" + r;
            }
        }
        d=min(d1,d2);
        if (d1>d2){a=a2}
        else{a=a1}
    }
    else if (slucaj2==true){
        int i=0;
        int ba=0;
        for (int j=0,j<n1;j++){
            if (a[j]=="a"){ba++;}
        }
        while (i<n1 && d<ba-n2+1){
            if (a[i])=="a"{
                string p(a,0,i), r(a,i+1,n1-i);
                a=p+"*"+r;
                d++;
            }
            i++;
        }
    }
    else{
        d=n1;
    }
    cout << d << endl;
    cout << a << endl;
    return 0;
}